%global srcname spf-engine

Name:           pypolicyd-spf
Version:        3.0.4
Release:    1%{?dist}
Summary:        SPF Policy Server for Postfix (Python implementation)

License:        ASL 2.0
URL:            https://launchpad.net/%{srcname}
Source0:        https://launchpad.net/%{srcname}/2.9/%{version}/+download/%{srcname}-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
Patch0:         pypolicyd-spf-3.0.4-service.patch

BuildArch:      noarch
Requires:       postfix
Requires:       python3-pyspf
Requires:       python3-authres

BuildRequires:  systemd
BuildRequires:  python3-devel

%generate_buildrequires
%pyproject_buildrequires

%package milter
Summary:        Milter for pypolicyd-spf (spf-engine).
Requires:       %{name} = %{version}-%{release}
Requires:       python3-pymilter

%description
pypolicyd-spf (spf-engine) is a Postfix policy engine for Sender Policy
Framework (SPF) checking. It is implemented in pure Python and uses the
python-spf (pyspf) module.

This SPF policy server implementation provides flexible options for different
receiver policies and sender whitelisting to enable it to support a very wide
range of requirements.

%description milter
Milter for pypolicyd-spf.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%{__mv} data/share/doc/python-policyd-spf/README.per_user_whitelisting .
%{__mv} data/etc/python-policyd-spf/policyd-spf.conf.commented .

%build
%pyproject_wheel


%install
%pyproject_install

%{__mkdir_p} %{buildroot}%{_libexecdir}/postfix
%{__mv} %{buildroot}%{_bindir}/policyd-spf %{buildroot}%{_libexecdir}/postfix

%{__mv} %{buildroot}%{_prefix}/etc %{buildroot}%{_sysconfdir}
%{__sed} -i -e 's/^HELO_reject = SPF_Not_Pass$/HELO_reject = Fail/' \
               %{buildroot}%{_sysconfdir}/python-policyd-spf/policyd-spf.conf

%{__rm} -rf %{buildroot}%{_sysconfdir}/init.d

%{__mkdir_p} %{buildroot}%{_tmpfilesdir}
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pre
/usr/sbin/useradd -r -M -s /sbin/nologin -d /run/pyspf-milter \
    pyspf-milter &>/dev/null || :

 
%files
%doc README.txt README.per_user_whitelisting CHANGES COPYING
%doc policyd-spf.conf.commented
%dir %{_sysconfdir}/python-policyd-spf
%config(noreplace) %{_sysconfdir}/python-policyd-spf/policyd-spf.conf
%{_libexecdir}/postfix/policyd-spf
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{python3_sitelib}/spf_engine
%{python3_sitelib}/spf_engine-%{version}.dist-info/
%pycached %{python3_sitelib}/spf_engine/__init__.py
%pycached %{python3_sitelib}/spf_engine/policy*.py
%pycached %{python3_sitelib}/spf_engine/config.py


%files milter
%dir %{_sysconfdir}/pyspf-milter
%config(noreplace) %{_sysconfdir}/pyspf-milter/pyspf-milter.conf
%{_bindir}/pyspf-milter
%{_unitdir}/pyspf-milter.service
%{_mandir}/man8/*
%pycached %{python3_sitelib}/spf_engine/milter*.py
%pycached %{python3_sitelib}/spf_engine/util.py


%changelog
* Thu Aug 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-1
- initial build
